<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.0/jquery.min.js"></script>
<script>
    jQuery($ => {
        const $charNum = $('#charNum');
        const $charText = $('#charText');

        $('#id_text').on('input', e => {
            var input = e.target.value;
            var len = 0
            // verific daca input-ul este empty space sau nu.
            for (let i=0; i<input.length; i++){
                if (input[i] === ' '){
                    }
                else{
                    len = len+1}
            }
            if (typeof e === "undefined") {
                $charNum.text(800)
            } else {
                $charNum.text(800 - len);
            }
            if (len >= 0 && len <= 780) {
                $charText.text("de caractere au mai ramas")
            } else if (780 < len && len < 799) {
                $charText.text("caractere au mai ramas")
            } else if (len === 799) {
                $charText.text('caracter a mai ramas')
            } else {
                $charNum.text("")
                $charText.text('Nu mai este spatiu disponibil.')
            }
        }).trigger('input');
    });
</script>
{% extends 'index.html' %}
{% load crispy_forms_filters %}
{% block content %}
    <div class="parent-cat-cr" id="up">
        <div class="updt">
            <div class="containerLogin">
                <div class="categ-create">
                    <p><strong>Please add your <i> review </i></strong></p>
                </div>
                <form action="" method="post" enctype="multipart/form-data" id="form-review">
                    {% csrf_token %}

                    <div id='id_score' class="control-group">
                        <div class="wrap-inp">
                            <label for="id_score" class="control-label">
                                Rating {{ form.score }}
                            </label>
                        </div>
                    </div>
                    <div class="hr-wrap">
                        <hr>
                    </div>
                    <div id='id_text' class="control-group">
                        <label for="id_text" class="control-label">
                            <div class="txt">Text</div>
                        </label>
                        <div class="controls">
                            <label for="field"></label>
                            {{ form.text }}
                        </div>
                        {% if form.text.errors %}
                            <ol>
                                {% for error in form.text.errors %}
                                    <div class="errorss">
                                        <strong>{{ error|escape }}</strong>
                                    </div>
                                {% endfor %}
                            </ol>

                        {% endif %}
                        <div class="characters">
                            <span id="charNum"> </span> <span id="charText"></span>
                        </div>
                    </div>
                    <div class="wrapper-sub-rev">
                        <input type="submit" value="Add review" class="button-mull" id="sb-review">
                        <a href="{% url 'prod-view-review' pk %}" class="button-mull" id="but-back">Back</a>
                    </div>
                </form>
            </div>
        </div>
    </div>
{% endblock %}
